<?php

class C_NextGen_Pro_Add_To_Cart
{
    static $_template_rendered = FALSE;

    function enqueue_static_resources()
    {
        $router = C_Router::get_instance();
        wp_enqueue_script('jquery-ui-accordion');

	    // For some reason ajax.js isn't registered yet in 2.0.67.14 and above, so we have
	    // to do it manually.
	    if (method_exists('M_Ajax', 'register_scripts')) M_Ajax::register_scripts();

        if (version_compare(NGG_PLUGIN_VERSION, '2.0.67') >= 0)
            wp_enqueue_script('ngg-pro-lightbox-ecommerce-overrides', $router->get_static_url('photocrati-nextgen_pro_ecommerce#lightbox_overrides.js'));
        else
            wp_enqueue_script('ngg-pro-lightbox-ecommerce-overrides', $router->get_static_url('photocrati-nextgen_pro_ecommerce#lightbox_overrides.js'), array('ngg-store-js'));
        wp_enqueue_style('ngg-pro-add-to-cart', $router->get_static_url('photocrati-nextgen_pro_ecommerce#add_to_cart.css'));
        M_NextGen_Pro_Ecommerce::enqueue_cart_resources();

        if (!self::$_template_rendered)
        {
            self::$_template_rendered = TRUE;
            $parameters = array(
                'not_for_sale_msg' => C_NextGen_Settings::get_instance()->ecommerce_not_for_sale_msg,
                'sources'          => $this->get_sources(),
                'i18n'             => $this->get_i18n_strings()
            );
            $add_to_cart_tmpl = new C_MVC_View('photocrati-nextgen_pro_ecommerce#add_to_cart_tmpl', $parameters);
            $add_to_cart_item_tmpl = new C_MVC_View('photocrati-nextgen_pro_ecommerce#add_to_cart_source_item_tmpl', $parameters);
            $add_to_cart_items_tmpl = new C_MVC_View('photocrati-nextgen_pro_ecommerce#add_to_cart_source_items_tmpl', $parameters);
            wp_localize_script(
                'ngg-pro-lightbox-ecommerce-overrides',
                'ngg_add_to_cart_templates',
                array(
                    'add_to_cart' => $add_to_cart_tmpl->render(TRUE),
                    'add_to_cart_item' => $add_to_cart_item_tmpl->render(TRUE),
                    'add_to_cart_items' => $add_to_cart_items_tmpl->render(TRUE)
                )
            );
            wp_localize_script(
                'ngg-pro-lightbox-ecommerce-overrides',
                'ngg_cart_i18n',
                (array)$this->get_i18n_strings()
            );
        }
    }

    function get_sources()
    {
        return array(
            NGG_PRO_MANUAL_PRICELIST_SOURCE     =>  $this->_render_manual_pricelist_template(),
            NGG_PRO_DIGITAL_DOWNLOADS_SOURCE    =>  $this->_render_digital_download_template(),
        );
    }

    function get_i18n_strings()
    {
        $i18n = new stdClass();
        $i18n->add_to_cart  = __('Add To Cart', 'nextgen-gallery-pro');
        $i18n->qty_add_desc = __('Change quantities to update your cart.', 'nextgen-gallery-pro');
        $i18n->checkout     = __('View Cart / Checkout', 'nextgen-gallery-pro');
        $i18n->not_for_sale = __('This image is not for sale', 'nextgen-gallery-pro');
        $i18n->quantity     = __('Quantity', 'nextgen-gallery-pro');
        $i18n->description  = __('Description', 'nextgen-gallery-pro');
        $i18n->price        = __('Price', 'nextgen-gallery-pro');
        $i18n->total        = __('Total', 'nextgen-gallery-pro');
        $i18n->update_cart  = __('Update Cart', 'nextgen-gallery-pro');
        $i18n->nggpl_toggle_sidebar = __('Toggle cart sidebar', 'nextgen-gallery-pro');
        $i18n->nggpl_cart_updated   = __('Your cart has been updated', 'nextgen-gallery-pro');
        return $i18n;
    }

    function _render_manual_pricelist_template()
    {
        $heading    = __('Prints & Products', 'nextgen-gallery-pro');
        $id         = NGG_PRO_MANUAL_PRICELIST_SOURCE;

        return "<h3>{$heading}</h3><div class='nggpl-source_contents' id='{$id}'></div>";
    }

    function _render_digital_download_template()
    {
        $heading        = __('Digital Downloads', 'nextgen-gallery-pro');
        $license_terms  = __('View license terms', 'nextgen-gallery-pro');
        $id             = NGG_PRO_DIGITAL_DOWNLOADS_SOURCE;

        return "<h3><span id='ngg_digital_downloads_header'>{$heading}</span></h3><div class='nggpl-source_contents' id='{$id}'></div>";
    }
}