<?php

class C_NextGen_Pro_Currencies
{
    /**
     * Nations by ISO 3166 listing with currency (ISO 4217) mapping
     *
     * @link http://en.wikipedia.org/wiki/Iso_3166
     * @var array Countries
     */
    public static $countries = array(
        4 => array(
            'name' => 'Afghanistan', // Us-English Name
            'code' => 'AF',          // ISO-3166-1 Alpha-2
            'id' => 4,               // ISO-3166-1 Numeric
            'currency_code' => '971' // Code as defined by ISO 4217 (see $currencies below)
        ),
        248 => array(
            'name' => 'Åland Islands',
            'code' => 'AX',
            'id' => 248,
            'currency_code' => '978'
        ),
        8 => array(
            'name' => 'Albania',
            'code' => 'AL',
            'id' => 8,
            'currency_code' => '008'
        ),
        12 => array(
            'name' => 'Algeria',
            'code' => 'DZ',
            'id' => 12,
            'currency_code' => '012'
        ),
        16 => array(
            'name' => 'American Samoa',
            'code' => 'AS',
            'id' => 16,
            'currency_code' => '840'
        ),
        20 => array(
            'name' => 'Andorra',
            'code' => 'AD',
            'id' => 20,
            'currency_code' => '978'
        ),
        24 => array(
            'name' => 'Angola',
            'code' => 'AO',
            'id' => 24,
            'currency_code' => '973'
        ),
        660 => array(
            'name' => 'Anguilla',
            'code' => 'AI',
            'id' => 660,
            'currency_code' => '951'
        ),
        28 => array(
            'name' => 'Antigua and Barbuda',
            'code' => 'AG',
            'id' => 28,
            'currency_code' => '951'
        ),
        32 => array(
            'name' => 'Argentina',
            'code' => 'AR',
            'id' => 32,
            'currency_code' => '032'
        ),
        51 => array(
            'name' => 'Armenia',
            'code' => 'AM',
            'id' => 51,
            'currency_code' => '051'
        ),
        533 => array(
            'name' => 'Aruba',
            'code' => 'AW',
            'id' => 533,
            'currency_code' => '533'
        ),
        36 => array(
            'name' => 'Australia',
            'code' => 'AU',
            'id' => 36,
            'currency_code' => '036'
        ),
        40 => array(
            'name' => 'Austria',
            'code' => 'AT',
            'id' => 40,
            'currency_code' => '978'
        ),
        31 => array(
            'name' => 'Azerbaijan',
            'code' => 'AZ',
            'id' => 31,
            'currency_code' => '944'
        ),
        44 => array(
            'name' => 'Bahamas',
            'code' => 'BS',
            'id' => 44,
            'currency_code' => '044'
        ),
        48 => array(
            'name' => 'Bahrain',
            'code' => 'BH',
            'id' => 48,
            'currency_code' => '048'
        ),
        50 => array(
            'name' => 'Bangladesh',
            'code' => 'BD',
            'id' => 50,
            'currency_code' => '050'
        ),
        52 => array(
            'name' => 'Barbados',
            'code' => 'BB',
            'id' => 52,
            'currency_code' => '052'
        ),
        112 => array(
            'name' => 'Belarus',
            'code' => 'BY',
            'id' => 112,
            'currency_code' => '974'
        ),
        56 => array(
            'name' => 'Belgium',
            'code' => 'BE',
            'id' => 56,
            'currency_code' => '978'
        ),
        84 => array(
            'name' => 'Belize',
            'code' => 'BZ',
            'id' => 84,
            'currency_code' => '084'
        ),
        204 => array(
            'name' => 'Benin',
            'code' => 'BJ',
            'id' => 204,
            'currency_code' => '952'
        ),
        60 => array(
            'name' => 'Bermuda',
            'code' => 'BM',
            'id' => 60,
            'currency_code' => '060'
        ),
        64 => array(
            'name' => 'Bhutan',
            'code' => 'BT',
            'id' => 64,
            'currency_code' => '356'
        ),
        68 => array(
            'name' => 'Bolivia, Plurinational State of',
            'code' => 'BO',
            'id' => 68,
            'currency_code' => '068'
        ),
        535 => array(
            'name' => 'Bonaire, Sint Eustatius and Saba',
            'code' => 'BQ',
            'id' => 535,
            'currency_code' => '840'
        ),
        70 => array(
            'name' => 'Bosnia and Herzegovina',
            'code' => 'BA',
            'id' => 70,
            'currency_code' => '977'
        ),
        72 => array(
            'name' => 'Botswana',
            'code' => 'BW',
            'id' => 72,
            'currency_code' => '072'
        ),
        74 => array(
            'name' => 'Bouvet Island',
            'code' => 'BV',
            'id' => 74,
            'currency_code' => '578'
        ),
        76 => array(
            'name' => 'Brazil',
            'code' => 'BR',
            'id' => 76,
            'currency_code' => '986'
        ),
        86 => array(
            'name' => 'British Indian Ocean Territory',
            'code' => 'IO',
            'id' => 86,
            'currency_code' => '840'
        ),
        96 => array(
            'name' => 'Brunei Darussalam',
            'code' => 'BN',
            'id' => 96,
            'currency_code' => '096'
        ),
        100 => array(
            'name' => 'Bulgaria',
            'code' => 'BG',
            'id' => 100,
            'currency_code' => '975'
        ),
        854 => array(
            'name' => 'Burkina Faso',
            'code' => 'BF',
            'id' => 854,
            'currency_code' => '952'
        ),
        108 => array(
            'name' => 'Burundi',
            'code' => 'BI',
            'id' => 108,
            'currency_code' => '108'
        ),
        116 => array(
            'name' => 'Cambodia',
            'code' => 'KH',
            'id' => 116,
            'currency_code' => '116'
        ),
        120 => array(
            'name' => 'Cameroon',
            'code' => 'CM',
            'id' => 120,
            'currency_code' => '950'
        ),
        124 => array(
            'name' => 'Canada',
            'code' => 'CA',
            'id' => 124,
            'currency_code' => '124'
        ),
        132 => array(
            'name' => 'Cape Verde',
            'code' => 'CV',
            'id' => 132,
            'currency_code' => '132'
        ),
        136 => array(
            'name' => 'Cayman Islands',
            'code' => 'KY',
            'id' => 136,
            'currency_code' => '136'
        ),
        140 => array(
            'name' => 'Central African Republic',
            'code' => 'CF',
            'id' => 140,
            'currency_code' => '950'
        ),
        148 => array(
            'name' => 'Chad',
            'code' => 'TD',
            'id' => 148,
            'currency_code' => '950'
        ),
        152 => array(
            'name' => 'Chile',
            'code' => 'CL',
            'id' => 152,
            'currency_code' => '152'
        ),
        156 => array(
            'name' => 'China',
            'code' => 'CN',
            'id' => 156,
            'currency_code' => '156'
        ),
        162 => array(
            'name' => 'Christmas Island',
            'code' => 'CX',
            'id' => 162,
            'currency_code' => '036'
        ),
        166 => array(
            'name' => 'Cocos (Keeling) Islands',
            'code' => 'CC',
            'id' => 166,
            'currency_code' => '036'
        ),
        170 => array(
            'name' => 'Colombia',
            'code' => 'CO',
            'id' => 170,
            'currency_code' => '170'
        ),
        174 => array(
            'name' => 'Comoros',
            'code' => 'KM',
            'id' => 174,
            'currency_code' => '174'
        ),
        178 => array(
            'name' => 'Congo',
            'code' => 'CG',
            'id' => 178,
            'currency_code' => '950'
        ),
        180 => array(
            'name' => 'Congo, the Democratic Republic of the',
            'code' => 'CD',
            'id' => 180,
            'currency_code' => '976'
        ),
        184 => array(
            'name' => 'Cook Islands',
            'code' => 'CK',
            'id' => 184,
            'currency_code' => '554'
        ),
        188 => array(
            'name' => 'Costa Rica',
            'code' => 'CR',
            'id' => 188,
            'currency_code' => '188'
        ),
        191 => array(
            'name' => 'Croatia',
            'code' => 'HR',
            'id' => 191,
            'currency_code' => '191'
        ),
        192 => array(
            'name' => 'Cuba',
            'code' => 'CU',
            'id' => 192,
            'currency_code' => '192'
        ),
        531 => array(
            'name' => 'Curaçao',
            'code' => 'CW',
            'id' => 531,
            'currency_code' => '532'
        ),
        196 => array(
            'name' => 'Cyprus',
            'code' => 'CY',
            'id' => 196,
            'currency_code' => '978'
        ),
        203 => array(
            'name' => 'Czech Republic',
            'code' => 'CZ',
            'id' => 203,
            'currency_code' => '203'
        ),
        384 => array(
            'name' => 'Côte d\'Ivoire',
            'code' => 'CI',
            'id' => 384,
            'currency_code' => '952'
        ),
        208 => array(
            'name' => 'Denmark',
            'code' => 'DK',
            'id' => 208,
            'currency_code' => '208'
        ),
        262 => array(
            'name' => 'Djibouti',
            'code' => 'DJ',
            'id' => 262,
            'currency_code' => '262'
        ),
        212 => array(
            'name' => 'Dominica',
            'code' => 'DM',
            'id' => 212,
            'currency_code' => '951'
        ),
        214 => array(
            'name' => 'Dominican Republic',
            'code' => 'DO',
            'id' => 214,
            'currency_code' => '214'
        ),
        218 => array(
            'name' => 'Ecuador',
            'code' => 'EC',
            'id' => 218,
            'currency_code' => '840'
        ),
        818 => array(
            'name' => 'Egypt',
            'code' => 'EG',
            'id' => 818,
            'currency_code' => '818'
        ),
        222 => array(
            'name' => 'El Salvador',
            'code' => 'SV',
            'id' => 222,
            'currency_code' => '840'
        ),
        226 => array(
            'name' => 'Equatorial Guinea',
            'code' => 'GQ',
            'id' => 226,
            'currency_code' => '950'
        ),
        232 => array(
            'name' => 'Eritrea',
            'code' => 'ER',
            'id' => 232,
            'currency_code' => '232'
        ),
        233 => array(
            'name' => 'Estonia',
            'code' => 'EE',
            'id' => 233,
            'currency_code' => '978'
        ),
        231 => array(
            'name' => 'Ethiopia',
            'code' => 'ET',
            'id' => 231,
            'currency_code' => '230'
        ),
        238 => array(
            'name' => 'Falkland Islands (Malvinas)',
            'code' => 'FK',
            'id' => 238,
            'currency_code' => '238'
        ),
        234 => array(
            'name' => 'Faroe Islands',
            'code' => 'FO',
            'id' => 234,
            'currency_code' => '208'
        ),
        242 => array(
            'name' => 'Fiji',
            'code' => 'FJ',
            'id' => 242,
            'currency_code' => '242'
        ),
        246 => array(
            'name' => 'Finland',
            'code' => 'FI',
            'id' => 246,
            'currency_code' => '978'
        ),
        250 => array(
            'name' => 'France',
            'code' => 'FR',
            'id' => 250,
            'currency_code' => '978'
        ),
        254 => array(
            'name' => 'French Guiana',
            'code' => 'GF',
            'id' => 254,
            'currency_code' => '978'
        ),
        258 => array(
            'name' => 'French Polynesia',
            'code' => 'PF',
            'id' => 258,
            'currency_code' => '953'
        ),
        260 => array(
            'name' => 'French Southern Territories',
            'code' => 'TF',
            'id' => 260,
            'currency_code' => '978'
        ),
        266 => array(
            'name' => 'Gabon',
            'code' => 'GA',
            'id' => 266,
            'currency_code' => '950'
        ),
        270 => array(
            'name' => 'Gambia',
            'code' => 'GM',
            'id' => 270,
            'currency_code' => '270'
        ),
        268 => array(
            'name' => 'Georgia',
            'code' => 'GE',
            'id' => 268,
            'currency_code' => '981'
        ),
        276 => array(
            'name' => 'Germany',
            'code' => 'DE',
            'id' => 276,
            'currency_code' => '978'
        ),
        288 => array(
            'name' => 'Ghana',
            'code' => 'GH',
            'id' => 288,
            'currency_code' => '936'
        ),
        292 => array(
            'name' => 'Gibraltar',
            'code' => 'GI',
            'id' => 292,
            'currency_code' => '292'
        ),
        300 => array(
            'name' => 'Greece',
            'code' => 'GR',
            'id' => 300,
            'currency_code' => '978'
        ),
        304 => array(
            'name' => 'Greenland',
            'code' => 'GL',
            'id' => 304,
            'currency_code' => '208'
        ),
        308 => array(
            'name' => 'Grenada',
            'code' => 'GD',
            'id' => 308,
            'currency_code' => '951'
        ),
        312 => array(
            'name' => 'Guadeloupe',
            'code' => 'GP',
            'id' => 312,
            'currency_code' => '978'
        ),
        316 => array(
            'name' => 'Guam',
            'code' => 'GU',
            'id' => 316,
            'currency_code' => '840'
        ),
        320 => array(
            'name' => 'Guatemala',
            'code' => 'GT',
            'id' => 320,
            'currency_code' => '320'
        ),
        831 => array(
            'name' => 'Guernsey',
            'code' => 'GG',
            'id' => 831,
            'currency_code' => '826'
        ),
        324 => array(
            'name' => 'Guinea',
            'code' => 'GN',
            'id' => 324,
            'currency_code' => '324'
        ),
        624 => array(
            'name' => 'Guinea-Bissau',
            'code' => 'GW',
            'id' => 624,
            'currency_code' => '952'
        ),
        328 => array(
            'name' => 'Guyana',
            'code' => 'GY',
            'id' => 328,
            'currency_code' => '328'
        ),
        332 => array(
            'name' => 'Haiti',
            'code' => 'HT',
            'id' => 332,
            'currency_code' => '840'
        ),
        334 => array(
            'name' => 'Heard Island and McDonald Mcdonald Islands',
            'code' => 'HM',
            'id' => 334,
            'currency_code' => '036'
        ),
        336 => array(
            'name' => 'Holy See (Vatican City State)',
            'code' => 'VA',
            'id' => 336,
            'currency_code' => '978'
        ),
        340 => array(
            'name' => 'Honduras',
            'code' => 'HN',
            'id' => 340,
            'currency_code' => '340'
        ),
        344 => array(
            'name' => 'Hong Kong',
            'code' => 'HK',
            'id' => 344,
            'currency_code' => '344'
        ),
        348 => array(
            'name' => 'Hungary',
            'code' => 'HU',
            'id' => 348,
            'currency_code' => '348'
        ),
        352 => array(
            'name' => 'Iceland',
            'code' => 'IS',
            'id' => 352,
            'currency_code' => '352'
        ),
        356 => array(
            'name' => 'India',
            'code' => 'IN',
            'id' => 356,
            'currency_code' => '356'
        ),
        360 => array(
            'name' => 'Indonesia',
            'code' => 'ID',
            'id' => 360,
            'currency_code' => '360'
        ),
        364 => array(
            'name' => 'Iran, Islamic Republic of',
            'code' => 'IR',
            'id' => 364,
            'currency_code' => '364'
        ),
        368 => array(
            'name' => 'Iraq',
            'code' => 'IQ',
            'id' => 368,
            'currency_code' => '368'
        ),
        372 => array(
            'name' => 'Ireland',
            'code' => 'IE',
            'id' => 372,
            'currency_code' => '978'
        ),
        833 => array(
            'name' => 'Isle of Man',
            'code' => 'IM',
            'id' => 833,
            'currency_code' => '826'
        ),
        376 => array(
            'name' => 'Israel',
            'code' => 'IL',
            'id' => 376,
            'currency_code' => '376'
        ),
        380 => array(
            'name' => 'Italy',
            'code' => 'IT',
            'id' => 380,
            'currency_code' => '978'
        ),
        388 => array(
            'name' => 'Jamaica',
            'code' => 'JM',
            'id' => 388,
            'currency_code' => '388'
        ),
        392 => array(
            'name' => 'Japan',
            'code' => 'JP',
            'id' => 392,
            'currency_code' => '392'
        ),
        832 => array(
            'name' => 'Jersey',
            'code' => 'JE',
            'id' => 832,
            'currency_code' => '826'
        ),
        400 => array(
            'name' => 'Jordan',
            'code' => 'JO',
            'id' => 400,
            'currency_code' => '400'
        ),
        398 => array(
            'name' => 'Kazakhstan',
            'code' => 'KZ',
            'id' => 398,
            'currency_code' => '398'
        ),
        404 => array(
            'name' => 'Kenya',
            'code' => 'KE',
            'id' => 404,
            'currency_code' => '404'
        ),
        296 => array(
            'name' => 'Kiribati',
            'code' => 'KI',
            'id' => 296,
            'currency_code' => '036'
        ),
        408 => array(
            'name' => 'Korea, Democratic People\'s Republic of',
            'code' => 'KP',
            'id' => 408,
            'currency_code' => '408'
        ),
        410 => array(
            'name' => 'Korea, Republic of',
            'code' => 'KR',
            'id' => 410,
            'currency_code' => '410'
        ),
        414 => array(
            'name' => 'Kuwait',
            'code' => 'KW',
            'id' => 414,
            'currency_code' => '414'
        ),
        417 => array(
            'name' => 'Kyrgyzstan',
            'code' => 'KG',
            'id' => 417,
            'currency_code' => '417'
        ),
        418 => array(
            'name' => 'Lao People\'s Democratic Republic',
            'code' => 'LA',
            'id' => 418,
            'currency_code' => '418'
        ),
        428 => array(
            'name' => 'Latvia',
            'code' => 'LV',
            'id' => 428,
            'currency_code' => '428'
        ),
        422 => array(
            'name' => 'Lebanon',
            'code' => 'LB',
            'id' => 422,
            'currency_code' => '422'
        ),
        426 => array(
            'name' => 'Lesotho',
            'code' => 'LS',
            'id' => 426,
            'currency_code' => '710'
        ),
        430 => array(
            'name' => 'Liberia',
            'code' => 'LR',
            'id' => 430,
            'currency_code' => '430'
        ),
        434 => array(
            'name' => 'Libya',
            'code' => 'LY',
            'id' => 434,
            'currency_code' => '434'
        ),
        438 => array(
            'name' => 'Liechtenstein',
            'code' => 'LI',
            'id' => 438,
            'currency_code' => '756'
        ),
        440 => array(
            'name' => 'Lithuania',
            'code' => 'LT',
            'id' => 440,
            'currency_code' => '440'
        ),
        442 => array(
            'name' => 'Luxembourg',
            'code' => 'LU',
            'id' => 442,
            'currency_code' => '978'
        ),
        446 => array(
            'name' => 'Macao',
            'code' => 'MO',
            'id' => 446,
            'currency_code' => '446'
        ),
        807 => array(
            'name' => 'Macedonia, the Former Yugoslav Republic of',
            'code' => 'MK',
            'id' => 807,
            'currency_code' => '807'
        ),
        450 => array(
            'name' => 'Madagascar',
            'code' => 'MG',
            'id' => 450,
            'currency_code' => '969'
        ),
        454 => array(
            'name' => 'Malawi',
            'code' => 'MW',
            'id' => 454,
            'currency_code' => '454'
        ),
        458 => array(
            'name' => 'Malaysia',
            'code' => 'MY',
            'id' => 458,
            'currency_code' => '458'
        ),
        462 => array(
            'name' => 'Maldives',
            'code' => 'MV',
            'id' => 462,
            'currency_code' => '462'
        ),
        466 => array(
            'name' => 'Mali',
            'code' => 'ML',
            'id' => 466,
            'currency_code' => '952'
        ),
        470 => array(
            'name' => 'Malta',
            'code' => 'MT',
            'id' => 470,
            'currency_code' => '978'
        ),
        584 => array(
            'name' => 'Marshall Islands',
            'code' => 'MH',
            'id' => 584,
            'currency_code' => '840'
        ),
        474 => array(
            'name' => 'Martinique',
            'code' => 'MQ',
            'id' => 474,
            'currency_code' => '978'
        ),
        478 => array(
            'name' => 'Mauritania',
            'code' => 'MR',
            'id' => 478,
            'currency_code' => '478'
        ),
        480 => array(
            'name' => 'Mauritius',
            'code' => 'MU',
            'id' => 480,
            'currency_code' => '480'
        ),
        175 => array(
            'name' => 'Mayotte',
            'code' => 'YT',
            'id' => 175,
            'currency_code' => '978'
        ),
        484 => array(
            'name' => 'Mexico',
            'code' => 'MX',
            'id' => 484,
            'currency_code' => '484'
        ),
        583 => array(
            'name' => 'Micronesia, Federated States of',
            'code' => 'FM',
            'id' => 583,
            'currency_code' => '840'
        ),
        498 => array(
            'name' => 'Moldova, Republic of',
            'code' => 'MD',
            'id' => 498,
            'currency_code' => '498'
        ),
        492 => array(
            'name' => 'Monaco',
            'code' => 'MC',
            'id' => 492,
            'currency_code' => '978'
        ),
        496 => array(
            'name' => 'Mongolia',
            'code' => 'MN',
            'id' => 496,
            'currency_code' => '496'
        ),
        499 => array(
            'name' => 'Montenegro',
            'code' => 'ME',
            'id' => 499,
            'currency_code' => '978'
        ),
        500 => array(
            'name' => 'Montserrat',
            'code' => 'MS',
            'id' => 500,
            'currency_code' => '951'
        ),
        504 => array(
            'name' => 'Morocco',
            'code' => 'MA',
            'id' => 504,
            'currency_code' => '504'
        ),
        508 => array(
            'name' => 'Mozambique',
            'code' => 'MZ',
            'id' => 508,
            'currency_code' => '943'
        ),
        104 => array(
            'name' => 'Myanmar',
            'code' => 'MM',
            'id' => 104,
            'currency_code' => '104'
        ),
        516 => array(
            'name' => 'Namibia',
            'code' => 'NA',
            'id' => 516,
            'currency_code' => '710'
        ),
        520 => array(
            'name' => 'Nauru',
            'code' => 'NR',
            'id' => 520,
            'currency_code' => '036'
        ),
        524 => array(
            'name' => 'Nepal',
            'code' => 'NP',
            'id' => 524,
            'currency_code' => '524'
        ),
        528 => array(
            'name' => 'Netherlands',
            'code' => 'NL',
            'id' => 528,
            'currency_code' => '978'
        ),
        540 => array(
            'name' => 'New Caledonia',
            'code' => 'NC',
            'id' => 540,
            'currency_code' => '953'
        ),
        554 => array(
            'name' => 'New Zealand',
            'code' => 'NZ',
            'id' => 554,
            'currency_code' => '554'
        ),
        558 => array(
            'name' => 'Nicaragua',
            'code' => 'NI',
            'id' => 558,
            'currency_code' => '558'
        ),
        562 => array(
            'name' => 'Niger',
            'code' => 'NE',
            'id' => 562,
            'currency_code' => '952'
        ),
        566 => array(
            'name' => 'Nigeria',
            'code' => 'NG',
            'id' => 566,
            'currency_code' => '566'
        ),
        570 => array(
            'name' => 'Niue',
            'code' => 'NU',
            'id' => 570,
            'currency_code' => '554'
        ),
        574 => array(
            'name' => 'Norfolk Island',
            'code' => 'NF',
            'id' => 574,
            'currency_code' => '036'
        ),
        580 => array(
            'name' => 'Northern Mariana Islands',
            'code' => 'MP',
            'id' => 580,
            'currency_code' => '840'
        ),
        578 => array(
            'name' => 'Norway',
            'code' => 'NO',
            'id' => 578,
            'currency_code' => '578'
        ),
        512 => array(
            'name' => 'Oman',
            'code' => 'OM',
            'id' => 512,
            'currency_code' => '512'
        ),
        586 => array(
            'name' => 'Pakistan',
            'code' => 'PK',
            'id' => 586,
            'currency_code' => '586'
        ),
        585 => array(
            'name' => 'Palau',
            'code' => 'PW',
            'id' => 585,
            'currency_code' => '840'
        ),
        591 => array(
            'name' => 'Panama',
            'code' => 'PA',
            'id' => 591,
            'currency_code' => '840'
        ),
        598 => array(
            'name' => 'Papua New Guinea',
            'code' => 'PG',
            'id' => 598,
            'currency_code' => '598'
        ),
        600 => array(
            'name' => 'Paraguay',
            'code' => 'PY',
            'id' => 600,
            'currency_code' => '600'
        ),
        604 => array(
            'name' => 'Peru',
            'code' => 'PE',
            'id' => 604,
            'currency_code' => '604'
        ),
        608 => array(
            'name' => 'Philippines',
            'code' => 'PH',
            'id' => 608,
            'currency_code' => '608'
        ),
        612 => array(
            'name' => 'Pitcairn',
            'code' => 'PN',
            'id' => 612,
            'currency_code' => '554'
        ),
        616 => array(
            'name' => 'Poland',
            'code' => 'PL',
            'id' => 616,
            'currency_code' => '985'
        ),
        620 => array(
            'name' => 'Portugal',
            'code' => 'PT',
            'id' => 620,
            'currency_code' => '978'
        ),
        630 => array(
            'name' => 'Puerto Rico',
            'code' => 'PR',
            'id' => 630,
            'currency_code' => '840'
        ),
        634 => array(
            'name' => 'Qatar',
            'code' => 'QA',
            'id' => 634,
            'currency_code' => '634'
        ),
        642 => array(
            'name' => 'Romania',
            'code' => 'RO',
            'id' => 642,
            'currency_code' => '946'
        ),
        643 => array(
            'name' => 'Russian Federation',
            'code' => 'RU',
            'id' => 643,
            'currency_code' => '643'
        ),
        646 => array(
            'name' => 'Rwanda',
            'code' => 'RW',
            'id' => 646,
            'currency_code' => '646'
        ),
        638 => array(
            'name' => 'Réunion',
            'code' => 'RE',
            'id' => 638,
            'currency_code' => '978'
        ),
        652 => array(
            'name' => 'Saint Barthélemy',
            'code' => 'BL',
            'id' => 652,
            'currency_code' => '978'
        ),
        654 => array(
            'name' => 'Saint Helena, Ascension and Tristan da Cunha',
            'code' => 'SH',
            'id' => 654,
            'currency_code' => '654'
        ),
        659 => array(
            'name' => 'Saint Kitts and Nevis',
            'code' => 'KN',
            'id' => 659,
            'currency_code' => '951'
        ),
        662 => array(
            'name' => 'Saint Lucia',
            'code' => 'LC',
            'id' => 662,
            'currency_code' => '951'
        ),
        663 => array(
            'name' => 'Saint Martin (French part)',
            'code' => 'MF',
            'id' => 663,
            'currency_code' => '978'
        ),
        666 => array(
            'name' => 'Saint Pierre and Miquelon',
            'code' => 'PM',
            'id' => 666,
            'currency_code' => '978'
        ),
        670 => array(
            'name' => 'Saint Vincent and the Grenadines',
            'code' => 'VC',
            'id' => 670,
            'currency_code' => '951'
        ),
        882 => array(
            'name' => 'Samoa',
            'code' => 'WS',
            'id' => 882,
            'currency_code' => '882'
        ),
        674 => array(
            'name' => 'San Marino',
            'code' => 'SM',
            'id' => 674,
            'currency_code' => '978'
        ),
        678 => array(
            'name' => 'Sao Tome and Principe',
            'code' => 'ST',
            'id' => 678,
            'currency_code' => '678'
        ),
        682 => array(
            'name' => 'Saudi Arabia',
            'code' => 'SA',
            'id' => 682,
            'currency_code' => '682'
        ),
        686 => array(
            'name' => 'Senegal',
            'code' => 'SN',
            'id' => 686,
            'currency_code' => '952'
        ),
        688 => array(
            'name' => 'Serbia',
            'code' => 'RS',
            'id' => 688,
            'currency_code' => '941'
        ),
        690 => array(
            'name' => 'Seychelles',
            'code' => 'SC',
            'id' => 690,
            'currency_code' => '690'
        ),
        694 => array(
            'name' => 'Sierra Leone',
            'code' => 'SL',
            'id' => 694,
            'currency_code' => '694'
        ),
        702 => array(
            'name' => 'Singapore',
            'code' => 'SG',
            'id' => 702,
            'currency_code' => '702'
        ),
        534 => array(
            'name' => 'Sint Maarten (Dutch part)',
            'code' => 'SX',
            'id' => 534,
            'currency_code' => '532'
        ),
        703 => array(
            'name' => 'Slovakia',
            'code' => 'SK',
            'id' => 703,
            'currency_code' => '978'
        ),
        705 => array(
            'name' => 'Slovenia',
            'code' => 'SI',
            'id' => 705,
            'currency_code' => '978'
        ),
        90 => array(
            'name' => 'Solomon Islands',
            'code' => 'SB',
            'id' => 90,
            'currency_code' => '090'
        ),
        706 => array(
            'name' => 'Somalia',
            'code' => 'SO',
            'id' => 706,
            'currency_code' => '706'
        ),
        710 => array(
            'name' => 'South Africa',
            'code' => 'ZA',
            'id' => 710,
            'currency_code' => '710'
        ),
        728 => array(
            'name' => 'South Sudan',
            'code' => 'SS',
            'id' => 728,
            'currency_code' => '728'
        ),
        724 => array(
            'name' => 'Spain',
            'code' => 'ES',
            'id' => 724,
            'currency_code' => '978'
        ),
        144 => array(
            'name' => 'Sri Lanka',
            'code' => 'LK',
            'id' => 144,
            'currency_code' => '144'
        ),
        729 => array(
            'name' => 'Sudan',
            'code' => 'SD',
            'id' => 729,
            'currency_code' => '938'
        ),
        740 => array(
            'name' => 'Suriname',
            'code' => 'SR',
            'id' => 740,
            'currency_code' => '968'
        ),
        744 => array(
            'name' => 'Svalbard and Jan Mayen',
            'code' => 'SJ',
            'id' => 744,
            'currency_code' => '578'
        ),
        748 => array(
            'name' => 'Swaziland',
            'code' => 'SZ',
            'id' => 748,
            'currency_code' => '748'
        ),
        752 => array(
            'name' => 'Sweden',
            'code' => 'SE',
            'id' => 752,
            'currency_code' => '752'
        ),
        756 => array(
            'name' => 'Switzerland',
            'code' => 'CH',
            'id' => 756,
            'currency_code' => '756'
        ),
        760 => array(
            'name' => 'Syrian Arab Republic',
            'code' => 'SY',
            'id' => 760,
            'currency_code' => '760'
        ),
        158 => array(
            'name' => 'Taiwan, Province of China',
            'code' => 'TW',
            'id' => 158,
            'currency_code' => '901'
        ),
        762 => array(
            'name' => 'Tajikistan',
            'code' => 'TJ',
            'id' => 762,
            'currency_code' => '972'
        ),
        834 => array(
            'name' => 'Tanzania, United Republic of',
            'code' => 'TZ',
            'id' => 834,
            'currency_code' => '834'
        ),
        764 => array(
            'name' => 'Thailand',
            'code' => 'TH',
            'id' => 764,
            'currency_code' => '764'
        ),
        626 => array(
            'name' => 'Timor-Leste',
            'code' => 'TL',
            'id' => 626,
            'currency_code' => '840'
        ),
        768 => array(
            'name' => 'Togo',
            'code' => 'TG',
            'id' => 768,
            'currency_code' => '952'
        ),
        772 => array(
            'name' => 'Tokelau',
            'code' => 'TK',
            'id' => 772,
            'currency_code' => '554'
        ),
        776 => array(
            'name' => 'Tonga',
            'code' => 'TO',
            'id' => 776,
            'currency_code' => '776'
        ),
        780 => array(
            'name' => 'Trinidad and Tobago',
            'code' => 'TT',
            'id' => 780,
            'currency_code' => '780'
        ),
        788 => array(
            'name' => 'Tunisia',
            'code' => 'TN',
            'id' => 788,
            'currency_code' => '788'
        ),
        792 => array(
            'name' => 'Turkey',
            'code' => 'TR',
            'id' => 792,
            'currency_code' => '949'
        ),
        795 => array(
            'name' => 'Turkmenistan',
            'code' => 'TM',
            'id' => 795,
            'currency_code' => '934'
        ),
        796 => array(
            'name' => 'Turks and Caicos Islands',
            'code' => 'TC',
            'id' => 796,
            'currency_code' => '840'
        ),
        798 => array(
            'name' => 'Tuvalu',
            'code' => 'TV',
            'id' => 798,
            'currency_code' => '036'
        ),
        800 => array(
            'name' => 'Uganda',
            'code' => 'UG',
            'id' => 800,
            'currency_code' => '800'
        ),
        804 => array(
            'name' => 'Ukraine',
            'code' => 'UA',
            'id' => 804,
            'currency_code' => '980'
        ),
        784 => array(
            'name' => 'United Arab Emirates',
            'code' => 'AE',
            'id' => 784,
            'currency_code' => '784'
        ),
        826 => array(
            'name' => 'United Kingdom',
            'code' => 'GB',
            'id' => 826,
            'currency_code' => '826'
        ),
        840 => array(
            'name' => 'United States',
            'code' => 'US',
            'id' => 840,
            'currency_code' => '840'
        ),
        581 => array(
            'name' => 'United States Minor Outlying Islands',
            'code' => 'UM',
            'id' => 581,
            'currency_code' => '840'
        ),
        858 => array(
            'name' => 'Uruguay',
            'code' => 'UY',
            'id' => 858,
            'currency_code' => '858'
        ),
        860 => array(
            'name' => 'Uzbekistan',
            'code' => 'UZ',
            'id' => 860,
            'currency_code' => '860'
        ),
        548 => array(
            'name' => 'Vanuatu',
            'code' => 'VU',
            'id' => 548,
            'currency_code' => '548'
        ),
        862 => array(
            'name' => 'Venezuela, Bolivarian Republic of',
            'code' => 'VE',
            'id' => 862,
            'currency_code' => '937'
        ),
        704 => array(
            'name' => 'Viet Nam',
            'code' => 'VN',
            'id' => 704,
            'currency_code' => '704'
        ),
        92 => array(
            'name' => 'Virgin Islands, British',
            'code' => 'VG',
            'id' => 92,
            'currency_code' => '840'
        ),
        850 => array(
            'name' => 'Virgin Islands, U.S.',
            'code' => 'VI',
            'id' => 850,
            'currency_code' => '840'
        ),
        876 => array(
            'name' => 'Wallis and Futuna',
            'code' => 'WF',
            'id' => 876,
            'currency_code' => '953'
        ),
        732 => array(
            'name' => 'Western Sahara',
            'code' => 'EH',
            'id' => 732,
            'currency_code' => '504'
        ),
        887 => array(
            'name' => 'Yemen',
            'code' => 'YE',
            'id' => 887,
            'currency_code' => '886'
        ),
        894 => array(
            'name' => 'Zambia',
            'code' => 'ZM',
            'id' => 894,
            'currency_code' => '967'
        ),
        716 => array(
            'name' => 'Zimbabwe',
            'code' => 'ZW',
            'id' => 716,
            'currency_code' => '932'
        )
    );

    /**
     * Currencies of the world by ISO 4217
     *
     * @link http://en.wikipedia.org/wiki/ISO_4217
     * @var array
     */
    public static $currencies = array(
        '971' => array(           // Numeric code. *IMPORTANT* that this be quoted; PHP will not treat 008 the same as '008'
            'code' => 'AFN',      // Alphabetical code, three digits
            'name' => 'Afghani',  // US-English name of the currency
            'exponent' => '2',    // Minor-units-how many decimals come after the major unit. USD has 2, while the Yen has 0
            'symbol' => '&#1547;' // How to represent the symbol in text; UTF8 symbols should use appropriate HTML &#____; format
                                  // 'fontawesome' is also an option and is the FA class name, eg 'fa-usd' for USD.
        ),
        '008' => array(
            'code' => 'ALL',
            'name' => 'Lek',
            'exponent' => '2',
            'symbol' => 'L'
        ),
        '012' => array(
            'code' => 'DZD',
            'name' => 'Algerian Dinar',
            'exponent' => '2',
            'symbol' => 'دج'
        ),
        '840' => array(
            'code' => 'USD',
            'name' => 'US Dollar',
            'exponent' => '2',
            'symbol' => '$',
            'fontawesome' => 'fa-usd'
        ),
        '978' => array(
            'code' => 'EUR',
            'name' => 'Euro',
            'exponent' => '2',
            'symbol' => '&#8364;',
            'fontawesome' => 'fa-eur'
        ),
        '973' => array(
            'code' => 'AOA',
            'name' => 'Angolan Kwanza',
            'exponent' => '2',
            'symbol' => 'Kz'
        ),
        '951' => array(
            'code' => 'XCD',
            'name' => 'East Caribbean Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '032' => array(
            'code' => 'ARS',
            'name' => 'Argentine Peso',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '051' => array(
            'code' => 'AMD',
            'name' => 'Armenian Dram',
            'exponent' => '2',
            'symbol' => '&#1423;'
        ),
        '533' => array(
            'code' => 'AWG',
            'name' => 'Aruban Florin',
            'exponent' => '2',
            'symbol' => '&#402;'
        ),
        '036' => array(
            'code' => 'AUD',
            'name' => 'Australian Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '944' => array(
            'code' => 'AZN',
            'name' => 'Azerbaijanian Manat',
            'exponent' => '2',
            'symbol' => 'm.'
        ),
        '044' => array(
            'code' => 'BSD',
            'name' => 'Bahamian Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '048' => array(
            'code' => 'BHD',
            'name' => 'Bahraini Dinar',
            'exponent' => '3',
            'symbol' => '.د.ب'
        ),
        '050' => array(
            'code' => 'BDT',
            'name' => 'Taka',
            'exponent' => '2',
            'symbol' => '&#2547;'
        ),
        '052' => array(
            'code' => 'BBD',
            'name' => 'Barbados Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '974' => array(
            'code' => 'BYR',
            'name' => 'Belarussian Ruble',
            'exponent' => '0',
            'symbol' => 'Br'
        ),
        '084' => array(
            'code' => 'BZD',
            'name' => 'Belize Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '952' => array(
            'code' => 'XOF',
            'name' => 'CFA Franc BCEAO',
            'exponent' => '0',
            'symbol' => 'CFA'
        ),
        '060' => array(
            'code' => 'BMD',
            'name' => 'Bermudian Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '356' => array(
            'code' => 'INR',
            'name' => 'Indian Rupee',
            'exponent' => '2',
            'symbol' => '&#8377;',
            'fontawesome' => 'fa-inr'
        ),
        '068' => array(
            'code' => 'BOB',
            'name' => 'Boliviano',
            'exponent' => '2',
            'symbol' => 'Bs.'
        ),
        '977' => array(
            'code' => 'BAM',
            'name' => 'Convertible Mark',
            'exponent' => '2',
            'symbol' => 'KM'
        ),
        '072' => array(
            'code' => 'BWP',
            'name' => 'Pula',
            'exponent' => '2',
            'symbol' => 'P'
        ),
        '578' => array(
            'code' => 'NOK',
            'name' => 'Norwegian Krone',
            'exponent' => '2',
            'symbol' => 'kr'
        ),
        '986' => array(
            'code' => 'BRL',
            'name' => 'Brazilian Real',
            'exponent' => '2',
            'symbol' => 'R$'
        ),
        '096' => array(
            'code' => 'BND',
            'name' => 'Brunei Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '975' => array(
            'code' => 'BGN',
            'name' => 'Bulgarian Lev',
            'exponent' => '2',
            'symbol' => 'лв'
        ),
        '108' => array(
            'code' => 'BIF',
            'name' => 'Burundi Franc',
            'exponent' => '0',
            'symbol' => 'FBu'
        ),
        '116' => array(
            'code' => 'KHR',
            'name' => 'Riel',
            'exponent' => '2',
            'symbol' => '&#6107;'
        ),
        '950' => array(
            'code' => 'XAF',
            'name' => 'CFA Franc BEAC',
            'exponent' => '0',
            'symbol' => 'FCFA'
        ),
        '124' => array(
            'code' => 'CAD',
            'name' => 'Canadian Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '132' => array(
            'code' => 'CVE',
            'name' => 'Cape Verde Escudo',
            'exponent' => '2',
            'symbol' => 'Esc'
        ),
        '136' => array(
            'code' => 'KYD',
            'name' => 'Cayman Islands Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '152' => array(
            'code' => 'CLP',
            'name' => 'Chilean Peso',
            'exponent' => '0',
            'symbol' => '$'
        ),
        '156' => array(
            'code' => 'CNY',
            'name' => 'Yuan Renminbi',
            'exponent' => '2',
            'symbol' => '&#165;',
            'fontawesome' => 'fa-cny'
        ),
        '170' => array(
            'code' => 'COP',
            'name' => 'Colombian Peso',
            'exponent' => '2',
            'symbol' => 'COL$'
        ),
        '174' => array(
            'code' => 'KMF',
            'name' => 'Comoro Franc',
            'exponent' => '0',
            'symbol' => 'Fr'
        ),
        '976' => array(
            'code' => 'CDF',
            'name' => 'Congolese Franc',
            'exponent' => '2',
            'symbol' => 'Fr'
        ),
        '554' => array(
            'code' => 'NZD',
            'name' => 'New Zealand Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '188' => array(
            'code' => 'CRC',
            'name' => 'Costa Rican Colon',
            'exponent' => '2',
            'symbol' => '&#8353;'
        ),
        '191' => array(
            'code' => 'HRK',
            'name' => 'Croatian Kuna',
            'exponent' => '2',
            'symbol' => 'kn'
        ),
        '192' => array(
            'code' => 'CUP',
            'name' => 'Cuban Peso',
            'exponent' => '2',
            'symbol' => '$MN',
            'fontawesome' => 'fa-rouble'
        ),
        '532' => array(
            'code' => 'ANG',
            'name' => 'Netherlands Antillean Guilder',
            'exponent' => '2',
            'symbol' => 'NA&#402;'
        ),
        '203' => array(
            'code' => 'CZK',
            'name' => 'Czech Koruna',
            'exponent' => '2',
            'symbol' => 'Kč'
        ),
        '208' => array(
            'code' => 'DKK',
            'name' => 'Danish Krone',
            'exponent' => '2',
            'symbol' => 'kr'
        ),
        '262' => array(
            'code' => 'DJF',
            'name' => 'Djibouti Franc',
            'exponent' => '0',
            'symbol' => 'fr'
        ),
        '214' => array(
            'code' => 'DOP',
            'name' => 'Dominican Peso',
            'exponent' => '2',
            'symbol' => 'RD$'
        ),
        '818' => array(
            'code' => 'EGP',
            'name' => 'Egyptian Pound',
            'exponent' => '2',
            'symbol' => 'ج.م.'
        ),
        '232' => array(
            'code' => 'ERN',
            'name' => 'Nakfa',
            'exponent' => '2',
            'symbol' => 'Nfk'
        ),
        '230' => array(
            'code' => 'ETB',
            'name' => 'Ethiopian Birr',
            'exponent' => '2',
            'symbol' => 'Br'
        ),
        '238' => array(
            'code' => 'FKP',
            'name' => 'Falkland Islands Pound',
            'exponent' => '2',
            'symbol' => '&#163;'
        ),
        '242' => array(
            'code' => 'FJD',
            'name' => 'Fiji Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '953' => array(
            'code' => 'XPF',
            'name' => 'CFP Franc',
            'exponent' => '0',
            'symbol' => 'F',
        ),
        '270' => array(
            'code' => 'GMD',
            'name' => 'Dalasi',
            'exponent' => '2',
            'symbol' => 'D'
        ),
        '981' => array(
            'code' => 'GEL',
            'name' => 'Lari',
            'exponent' => '2',
            'symbol' => '&#4314;'
        ),
        '936' => array(
            'code' => 'GHS',
            'name' => 'Ghana Cedi',
            'exponent' => '2',
            'symbol' => 'GH&#8373;'
        ),
        '292' => array(
            'code' => 'GIP',
            'name' => 'Gibraltar Pound',
            'exponent' => '2',
            'symbol' => '&#163;'
        ),
        '320' => array(
            'code' => 'GTQ',
            'name' => 'Quetzal',
            'exponent' => '2',
            'symbol' => 'Q'
        ),
        '826' => array(
            'code' => 'GBP',
            'name' => 'Pound Sterling',
            'exponent' => '2',
            'symbol' => '&#163;',
            'fontawesome' => 'fa-gbp'
        ),
        '324' => array(
            'code' => 'GNF',
            'name' => 'Guinea Franc',
            'exponent' => '0',
            'symbol' => 'Fr'
        ),
        '328' => array(
            'code' => 'GYD',
            'name' => 'Guyana Dollar',
            'exponent' => '2',
            'symbol' => 'G$'
        ),
        '340' => array(
            'code' => 'HNL',
            'name' => 'Lempira',
            'exponent' => '2',
            'symbol' => 'L'
        ),
        '344' => array(
            'code' => 'HKD',
            'name' => 'Hong Kong Dollar',
            'exponent' => '2',
            'symbol' => 'HK$'
        ),
        '348' => array(
            'code' => 'HUF',
            'name' => 'Forint',
            'exponent' => '2',
            'symbol' => 'Ft'
        ),
        '352' => array(
            'code' => 'ISK',
            'name' => 'Iceland Krona',
            'exponent' => '0',
            'symbol' => 'Íkr'
        ),
        '360' => array(
            'code' => 'IDR',
            'name' => 'Rupiah',
            'exponent' => '2',
            'symbol' => 'Rp'
        ),
        '364' => array(
            'code' => 'IRR',
            'name' => 'Iranian Rial',
            'exponent' => '2',
            'symbol' => 'ريال'
        ),
        '368' => array(
            'code' => 'IQD',
            'name' => 'Iraqi Dinar',
            'exponent' => '3',
            'symbol' => 'د.ع'
        ),
        '376' => array(
            'code' => 'ILS',
            'name' => 'New Israeli Sheqel',
            'exponent' => '2',
            'symbol' => '&#8362;'
        ),
        '388' => array(
            'code' => 'JMD',
            'name' => 'Jamaican Dollar',
            'exponent' => '2',
            'symbol' => 'J$'
        ),
        '392' => array(
            'code' => 'JPY',
            'name' => 'Yen',
            'exponent' => '0',
            'symbol' => '&#165;',
            'fontawesome' => 'fa-jpy'
        ),
        '400' => array(
            'code' => 'JOD',
            'name' => 'Jordanian Dinar',
            'exponent' => '3',
            'symbol' => 'JD'
        ),
        '398' => array(
            'code' => 'KZT',
            'name' => 'Tenge',
            'exponent' => '2',
            'symbol' => '&#8376;'
        ),
        '404' => array(
            'code' => 'KES',
            'name' => 'Kenyan Shilling',
            'exponent' => '2',
            'symbol' => 'Ksh'
        ),
        '410' => array(
            'code' => 'KRW',
            'name' => 'Won',
            'exponent' => '0',
            'symbol' => '&#8361;',
            'fontawesome' => 'fa-krw'
        ),
        '414' => array(
            'code' => 'KWD',
            'name' => 'Kuwaiti Dinar',
            'exponent' => '3',
            'symbol' => 'د.ك'
        ),
        '417' => array(
            'code' => 'KGS',
            'name' => 'Som',
            'exponent' => '2',
            'symbol' => 'сом'
        ),
        '418' => array(
            'code' => 'LAK',
            'name' => 'Kip',
            'exponent' => '2',
            'symbol' => '&#8365;'
        ),
        '428' => array(
            'code' => 'LVL',
            'name' => 'Latvian Lats',
            'exponent' => '2',
            'symbol' => 'Ls'
        ),
        '422' => array(
            'code' => 'LBP',
            'name' => 'Lebanese Pound',
            'exponent' => '2',
            'symbol' => '&#163;'
        ),
        '710' => array(
            'code' => 'ZAR',
            'name' => 'Rand',
            'exponent' => '2',
            'symbol' => 'R'
        ),
        '430' => array(
            'code' => 'LRD',
            'name' => 'Liberian Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '434' => array(
            'code' => 'LYD',
            'name' => 'Libyan Dinar',
            'exponent' => '3',
            'symbol' => 'ل.د'
        ),
        '756' => array(
            'code' => 'CHF',
            'name' => 'Swiss Franc',
            'exponent' => '2',
            'symbol' => 'SFr'
        ),
        '440' => array(
            'code' => 'LTL',
            'name' => 'Lithuanian Litas',
            'exponent' => '2',
            'symbol' => 'Lt'
        ),
        '446' => array(
            'code' => 'MOP',
            'name' => 'Pataca',
            'exponent' => '2',
            'symbol' => 'MOP$'
        ),
        '807' => array(
            'code' => 'MKD',
            'name' => 'Denar',
            'exponent' => '2',
            'symbol' => '&#1076;&#1077;&#1085;'
        ),
        '969' => array(
            'code' => 'MGA',
            'name' => 'Malagasy Ariary',
            'exponent' => '2',
            'symbol' => 'Ar'
        ),
        '454' => array(
            'code' => 'MWK',
            'name' => 'Kwacha',
            'exponent' => '2',
            'symbol' => 'MK'
        ),
        '458' => array(
            'code' => 'MYR',
            'name' => 'Malaysian Ringgit',
            'exponent' => '2',
            'symbol' => 'RM'
        ),
        '462' => array(
            'code' => 'MVR',
            'name' => 'Rufiyaa',
            'exponent' => '2',
            'symbol' => 'Rf.'
        ),
        '478' => array(
            'code' => 'MRO',
            'name' => 'Ouguiya',
            'exponent' => '2',
            'symbol' => 'UM'
        ),
        '480' => array(
            'code' => 'MUR',
            'name' => 'Mauritius Rupee',
            'exponent' => '2',
            'symbol' => 'Rs'
        ),
        '484' => array(
            'code' => 'MXN',
            'name' => 'Mexican Peso',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '498' => array(
            'code' => 'MDL',
            'name' => 'Moldovan Leu',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '496' => array(
            'code' => 'MNT',
            'name' => 'Tugrik',
            'exponent' => '2',
            'symbol' => '&#8366;'
        ),
        '504' => array(
            'code' => 'MAD',
            'name' => 'Moroccan Dirham',
            'exponent' => '2',
            'symbol' => 'د.م.'
        ),
        '943' => array(
            'code' => 'MZN',
            'name' => 'Mozambique Metical',
            'exponent' => '2',
            'symbol' => 'MT'
        ),
        '104' => array(
            'code' => 'MMK',
            'name' => 'Kyat',
            'exponent' => '2',
            'symbol' => 'K'
        ),
        '524' => array(
            'code' => 'NPR',
            'name' => 'Nepalese Rupee',
            'exponent' => '2',
            'symbol' => 'Rs'
        ),
        '558' => array(
            'code' => 'NIO',
            'name' => 'Cordoba Oro',
            'exponent' => '2',
            'symbol' => 'C$'
        ),
        '566' => array(
            'code' => 'NGN',
            'name' => 'Naira',
            'exponent' => '2',
            'symbol' => '&#8358;'
        ),
        '512' => array(
            'code' => 'OMR',
            'name' => 'Rial Omani',
            'exponent' => '3',
            'symbol' => 'ر.ع.'
        ),
        '586' => array(
            'code' => 'PKR',
            'name' => 'Pakistan Rupee',
            'exponent' => '2',
            'symbol' => 'PKR'
        ),
        '598' => array(
            'code' => 'PGK',
            'name' => 'Kina',
            'exponent' => '2',
            'symbol' => 'K'
        ),
        '600' => array(
            'code' => 'PYG',
            'name' => 'Guarani',
            'exponent' => '0',
            'symbol' => '₲'
        ),
        '604' => array(
            'code' => 'PEN',
            'name' => 'Nuevo Sol',
            'exponent' => '2',
            'symbol' => 'S/.'
        ),
        '608' => array(
            'code' => 'PHP',
            'name' => 'Philippine Peso',
            'exponent' => '2',
            'symbol' => '&#8369;'
        ),
        '985' => array(
            'code' => 'PLN',
            'name' => 'Zloty',
            'exponent' => '2',
            'symbol' => 'zł'
        ),
        '634' => array(
            'code' => 'QAR',
            'name' => 'Qatari Rial',
            'exponent' => '2',
            'symbol' => 'ر.ق'
        ),
        '946' => array(
            'code' => 'RON',
            'name' => 'New Romanian Leu',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '643' => array(
            'code' => 'RUB',
            'name' => 'Russian Ruble',
            'exponent' => '2',
            'symbol' => 'py6',
            'fontawesome' => 'fa-rub'
        ),
        '646' => array(
            'code' => 'RWF',
            'name' => 'Rwanda Franc',
            'exponent' => '0',
            'symbol' => 'FRw'
        ),
        '654' => array(
            'code' => 'SHP',
            'name' => 'Saint Helena Pound',
            'exponent' => '2',
            'symbol' => '&#163;'
        ),
        '882' => array(
            'code' => 'WST',
            'name' => 'Tala',
            'exponent' => '2',
            'symbol' => 'WS$'
        ),
        '678' => array(
            'code' => 'STD',
            'name' => 'Dobra',
            'exponent' => '2',
            'symbol' => 'Db'
        ),
        '682' => array(
            'code' => 'SAR',
            'name' => 'Saudi Riyal',
            'exponent' => '2',
            'symbol' => 'ر.س'
        ),
        '941' => array(
            'code' => 'RSD',
            'name' => 'Serbian Dinar',
            'exponent' => '2',
            'symbol' => 'дин'
        ),
        '690' => array(
            'code' => 'SCR',
            'name' => 'Seychelles Rupee',
            'exponent' => '2',
            'symbol' => 'SRe'
        ),
        '694' => array(
            'code' => 'SLL',
            'name' => 'Leone',
            'exponent' => '2',
            'symbol' => 'Le'
        ),
        '702' => array(
            'code' => 'SGD',
            'name' => 'Singapore Dollar',
            'exponent' => '2',
            'symbol' => 'S$'
        ),
        '090' => array(
            'code' => 'SBD',
            'name' => 'Solomon Islands Dollar',
            'exponent' => '2',
            'symbol' => 'SI$'
        ),
        '706' => array(
            'code' => 'SOS',
            'name' => 'Somali Shilling',
            'exponent' => '2',
            'symbol' => 'Sh.So.'
        ),
        '728' => array(
            'code' => 'SSP',
            'name' => 'South Sudanese Pound',
            'exponent' => '2',
            'symbol' => '&#163;'
        ),
        '144' => array(
            'code' => 'LKR',
            'name' => 'Sri Lanka Rupee',
            'exponent' => '2',
            'symbol' => 'Rs'
        ),
        '938' => array(
            'code' => 'SDG',
            'name' => 'Sudanese Pound',
            'exponent' => '2',
            'symbol' => '&#163;'
        ),
        '968' => array(
            'code' => 'SRD',
            'name' => 'Surinam Dollar',
            'exponent' => '2',
            'symbol' => 'SRD$'
        ),
        '748' => array(
            'code' => 'SZL',
            'name' => 'Lilangeni',
            'exponent' => '2',
            'symbol' => 'E'
        ),
        '752' => array(
            'code' => 'SEK',
            'name' => 'Swedish Krona',
            'exponent' => '2',
            'symbol' => 'kr'
        ),
        '760' => array(
            'code' => 'SYP',
            'name' => 'Syrian Pound',
            'exponent' => '2',
            'symbol' => '&#163;'
        ),
        '901' => array(
            'code' => 'TWD',
            'name' => 'New Taiwan Dollar',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '972' => array(
            'code' => 'TJS',
            'name' => 'Somoni',
            'exponent' => '2',
            'symbol' => '$'
        ),
        '764' => array(
            'code' => 'THB',
            'name' => 'Baht',
            'exponent' => '2',
            'symbol' => '&#3647;'
        ),
        '776' => array(
            'code' => 'TOP',
            'name' => 'Pa’anga',
            'exponent' => '2',
            'symbol' => 'T$'
        ),
        '780' => array(
            'code' => 'TTD',
            'name' => 'Trinidad and Tobago Dollar',
            'exponent' => '2',
            'symbol' => 'TT$'
        ),
        '788' => array(
            'code' => 'TND',
            'name' => 'Tunisian Dinar',
            'exponent' => '3',
            'symbol' => 'د.ت'
        ),
        '949' => array(
            'code' => 'TRY',
            'name' => 'Turkish Lira',
            'exponent' => '2',
            'symbol' => '&#8378;',
            'fontawesome' => 'fa-try'
        ),
        '934' => array(
            'code' => 'TMT',
            'name' => 'Turkmenistan New Manat',
            'exponent' => '2',
            'symbol' => 'T'
        ),
        '800' => array(
            'code' => 'UGX',
            'name' => 'Uganda Shilling',
            'exponent' => '0',
            'symbol' => 'USh'
        ),
        '980' => array(
            'code' => 'UAH',
            'name' => 'Hryvnia',
            'exponent' => '2',
            'symbol' => '&#8372;'
        ),
        '784' => array(
            'code' => 'AED',
            'name' => 'UAE Dirham',
            'exponent' => '2',
            'symbol' => 'د.إ'
        ),
        '858' => array(
            'code' => 'UYU',
            'name' => 'Peso Uruguayo',
            'exponent' => '2',
            'symbol' => '$U'
        ),
        '548' => array(
            'code' => 'VUV',
            'name' => 'Vatu',
            'exponent' => '0',
            'symbol' => 'VT'
        ),
        '937' => array(
            'code' => 'VEF',
            'name' => 'Bolivar',
            'exponent' => '2',
            'symbol' => 'Bs.F.'
        ),
        '704' => array(
            'code' => 'VND',
            'name' => 'Dong',
            'exponent' => '0',
            'symbol' => '&#8363;'
        ),
        '886' => array(
            'code' => 'YER',
            'name' => 'Yemeni Rial',
            'exponent' => '2',
            'symbol' => '&#164;'
        ),
        '967' => array(
            'code' => 'ZMW',
            'name' => 'Zambian Kwacha',
            'exponent' => '2',
            'symbol' => 'ZK'
        ),
        '932' => array(
            'code' => 'ZWL',
            'name' => 'Zimbabwe Dollar',
            'exponent' => '2',
            'symbol' => 'Z$'
        )
    );
}
